@echo off
cd BIOS
echo Checking ROM file .....
ckmode SZ170200.100 SZ170 4047
if errorlevel 1 goto end

:flash
call AFUDOSA5.EXE SZ170200.100 /P /B /N /L
if errorlevel 1 goto end
fpt.exe -f SZ170200.100 -me
call DISEUP.EXE
fpt.exe -greset

:end
echo Update not sucessful.
cd ..
exit
